package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.CityRepository;
import com.realnet.basicp1.Entity.City
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class CityService {
@Autowired
private CityRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public City Savedata(City data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
City save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<City> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<City> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<City> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public City getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public City update(City data,Integer id) {
	City old = Repository.findById(id).get();
old.setCity_name(data.getCity_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setDistric_name(data.getDistric_name());

final City test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
